Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tools
Class Statistic

    java.lang.Object
      jprotein.tools.Statistic

    public class Statistic

extends java.lang.Object

Constructor Summary
`Statistic()`

Method Summary
`static double` | `fNorm(double z)`
`static double` | `max(java.util.Vector v)`
`static double` | `mean(java.util.Vector v)`
`static double` | `min(java.util.Vector v)`
`static java.util.Vector` | `normalize(java.util.Vector v)`
`static double` | `pNorm(double z)`
`static double` | `pNorm(double z, double dz)`
`static java.util.Vector` | `product(java.util.Vector v1, java.util.Vector v2)`
`static java.util.Vector` | `resample(java.util.Vector v, int resampleSize)`
`static double` | `standardError(java.util.Vector v)`
`static double` | `zScore(double x, double mu, double sigma)`
`static double` | `zToValue(double z, double mu, double sigma)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statistic

    public Statistic()

Method Detail

### normalize

    public static java.util.Vector normalize(java.util.Vector v)

### standardError

    public static double standardError(java.util.Vector v)

### product

    public static java.util.Vector product(java.util.Vector v1,
                                           java.util.Vector v2)

### min

    public static double min(java.util.Vector v)

### max

    public static double max(java.util.Vector v)

### mean

    public static double mean(java.util.Vector v)

### resample

    public static java.util.Vector resample(java.util.Vector v,
                                            int resampleSize)

### pNorm

    public static double pNorm(double z)

### pNorm

    public static double pNorm(double z,
                               double dz)

### fNorm

    public static double fNorm(double z)

### zScore

    public static double zScore(double x,
                                double mu,
                                double sigma)

### zToValue

    public static double zToValue(double z,
                                  double mu,
                                  double sigma)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD